clear('all'); close('all'); 
% solve full model A->B->C
%
% jbr, 11/26/2007
%
global k1 k2
k1 = 1;
k2 = 10;

npts = 150;
tfin = 5;
time = linspace(0, tfin, npts)';


tol = sqrt(eps);
opts = odeset ('AbsTol', tol, 'RelTol', tol);

x0 = [1; 0; 0];
% set initial b concentration
x0(2) = k1/k2*x0(1);
% set the initial time derivatives
xdot0 = qssa(0, x0, zeros(3,1));
xdot0(2) = 0;

[tout, x] = ode15i (@qssa, time, x0, xdot0, opts);

plot(tout, x)

table1 = [tout, x];
save ABC_qssa.dat table1;
