function result = SS( f, theta, y, x, xhat, sigmay, sigmax)
% Sum of squares function
% yhat = f(xhat,theta).  Multiple output variables are row vectors. 
% y, x = observed values
% xhat = fitted values of x.  Multiple inputs variables are in rows.
% theta = parameters

Ny = size(y,2);
Nx = size(x,2);
K = size(y,1);

% Nested loops sum over observations, xhat's, yhat's:

result = 0.;
xhat = xhat.';
for k = [1 : K]
    yhat = f(xhat(k,:), theta);
    for i = [1 : Ny ]
        eps = (yhat(i) - y(k,i))/sigmay(i);
        result = result + eps*eps;        
    end
    for j = [1 : Nx ]
        eps = (xhat(k,j) - x(k,j))/sigmax(j);
        result = result + eps*eps;        
    end
end
