clear('all'); close('all'); 
%
% create data for r = k c^n model
% jbr, 12/2008
%

k = 0.35;
n = 1.75;

npts = 21;
c = linspace (1, 10, npts)';

randn('seed', -1)
sigma = 0.2;

% use a constant percentage measurement error
ymeas = k*c.^n .*(1 + sigma*randn(npts, 1));

myfile = fopen('rateconc_data.dat', 'w');
for i = 1: size(ymeas,1)
  fprintf(myfile, '%8.2f', c(i), ymeas(i));
  fprintf(myfile, '\n');
end
fclose(myfile);


