clear('all'); close('all'); 
% Copyright (C) 2001, James B. Rawlings and John G. Ekerdt
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2, or (at
% your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; see the file COPYING.  If not, write to
% the Free Software Foundation, 59 Temple Place - Suite 330, Boston,
% MA 02111-1307, USA.


a11 = 3.5;
a12 = 2.5;
a22 = 4.0;

xisosamples = 35;
yisosamples = 35;

x = linspace(-2, 2, xisosamples)';
y = linspace(-2.44949, 2.44949, yisosamples)';

[xx,yy] = meshgrid(x,y);

zz = exp( -0.5*(a11*xx.*xx + 2*a12*xx.*yy + a22*yy.*yy));

file = fopen ('normal3d.dat', 'w');
for j = 1:yisosamples
  for i = 1:xisosamples
   fprintf (file, '%f %f %f\n', x(i), y(j), zz(j, i));
  end
  if (j < yisosamples)
    fprintf (file, '\n');
  end
end
fclose (file);

mesh (xx, yy, zz);
title ('Figure 2')

