clear('all'); close('all'); 
m = [1;2];
n = length(m);
P = [2, 0.75; 0.75, 0.5];
nsam = 1000;
randn('seed', 0)
% generate the samples
x = repmat(m, 1, nsam) + sqrtm(P)*randn(n,nsam);

% compute the 95% confidence interval ellipse
alpha = 0.95;
A = inv(P);
b = chi2inv(alpha, n);
[xe, ye] = ellipse(A, b, 100, m);

% plot samples and 95% confidence ellipse
plot(x(1,:), x(2,:), 'o', xe, ye)

% count how many samples are outside the  ellipse
e = x - repmat(m, 1, nsam);
sum( diag(e'*A*e)> b )

samtab = x;
eltab = [xe ye];
samtab = x';
save confnorm-ellipse.dat eltab
save confnorm-samples.dat samtab